#ifndef __TABLE_OP_MARG__
#define __TABLE_OP_MARG__
#include "table.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray*prhs[]) {
  Table ii, jj, oo;
  Index kk;

  if ( nrhs != 3 )
    mexErrMsgTxt("Exactly three arguments expected.");
  ii = table_readmxarray(prhs[0]);
  jj = table_readmxarray(prhs[1]);
  kk = index_readmxarray(prhs[2]);
    oo = elemop_name(ii,jj,kk);
  plhs[0] = mxDuplicateArray(prhs[0]);
  table_rewritemxarray(plhs[0],oo);                                          
  table_free(ii);
  table_free(jj);
  index_free(kk);
  table_free(oo);                                                            
}

#endif
